LibreOffice: cppu::WeakImplHelper2< Ifc1, Ifc2 > Class Template Reference

LibreOffice LibreOffice 26.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
cppu::WeakImplHelper2< Ifc1, Ifc2 > Class Template Reference

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface which supports weak mechanism to be held weakly (supporting css::uno::XWeak through cppu::OWeakObject). More...

`#include <implbase2.hxx>`

Inheritance diagram for cppu::WeakImplHelper2< Ifc1, Ifc2 >:

## Public Member Functions
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
| Basic queryInterface() implementation supporting com::sun::star::uno::XWeak and com::sun::star::uno::XInterface.
virtual void | acquire () SAL_NOEXCEPT SAL_OVERRIDE
| increasing m_refCount
virtual void | release () SAL_NOEXCEPT SAL_OVERRIDE
| decreasing m_refCount
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE
Public Member Functions inherited from cppu::OWeakObject
| OWeakObject ()
| Default Constructor.
| OWeakObject (const OWeakObject &)
| Dummy copy constructor.
OWeakObject & | operator= (const OWeakObject &)
| Dummy assignment operator.
virtual css::uno::Reference< css::uno::XAdapter > | queryAdapter () SAL_OVERRIDE
| XWeak::queryAdapter() implementation.
| operator css::uno::Reference< css::uno::XInterface > ()
| Cast operator to XInterface reference.

## Additional Inherited Members
Protected Member Functions inherited from cppu::OWeakObject
virtual | ~OWeakObject () COVERITY_NOEXCEPT_FALSE
| Virtual dtor.
void | disposeWeakConnectionPoint ()
| disposes and resets m_pWeakConnectionPoint
Protected Attributes inherited from cppu::OWeakObject
oslInterlockedCount | m_refCount
| reference count.

## Detailed Description

template<class Ifc1, class Ifc2>
class cppu::WeakImplHelper2< Ifc1, Ifc2 >

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface which supports weak mechanism to be held weakly (supporting css::uno::XWeak through cppu::OWeakObject).

Derive:
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

## Member Function Documentation

## ◆ acquire()

template<class Ifc1, class Ifc2>

virtual void cppu::WeakImplHelper2< Ifc1, Ifc2 >::acquire | ( |  | ) |
| inlinevirtual

increasing m_refCount

Reimplemented from cppu::OWeakObject.

## ◆ getImplementationId()

template<class Ifc1, class Ifc2>

virtual css::uno::Sequence< sal_Int8 > cppu::WeakImplHelper2< Ifc1, Ifc2 >::getImplementationId | ( |  | ) |
| inlinevirtual

## ◆ getTypes()

template<class Ifc1, class Ifc2>

virtual css::uno::Sequence< css::uno::Type > cppu::WeakImplHelper2< Ifc1, Ifc2 >::getTypes | ( |  | ) |
| inlinevirtual

## ◆ queryInterface()

template<class Ifc1, class Ifc2>

virtual css::uno::Any cppu::WeakImplHelper2< Ifc1, Ifc2 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

Basic queryInterface() implementation supporting com::sun::star::uno::XWeak and com::sun::star::uno::XInterface.

Parameters

  rType | demanded type

Returns
  demanded type or empty any

Reimplemented from cppu::OWeakObject.

## ◆ release()

template<class Ifc1, class Ifc2>

virtual void cppu::WeakImplHelper2< Ifc1, Ifc2 >::release | ( |  | ) |
| inlinevirtual

decreasing m_refCount

Reimplemented from cppu::OWeakObject.

The documentation for this class was generated from the following file:

- cppuhelper/implbase2.hxx